aboutsummaryrefslogtreecommitdiff
path: root/net/im
diff options
context:
space:
mode:
authorrudson <rudson@370017ae-e619-0410-ac65-c121f96126d4>2007-11-19 01:39:20 +0000
committerrudson <rudson@370017ae-e619-0410-ac65-c121f96126d4>2007-11-19 01:39:20 +0000
commit913a98849a7b52b26d16a00344ff3a99ad201138 (patch)
tree5051a6d265259beb6553a2044b2cdefcbfbd63d4 /net/im
parent8d23fa490138d85c6184ca0da855ba98ba880c4e (diff)
downloadslackbuilds-913a98849a7b52b26d16a00344ff3a99ad201138.tar.gz
slackbuilds-913a98849a7b52b26d16a00344ff3a99ad201138.tar.bz2
atualização do Skype-1.4.0
git-svn-id: svn+slack://slack.fluxo.info/var/svn/slackbuilds@1448 370017ae-e619-0410-ac65-c121f96126d4
Diffstat (limited to 'net/im')
-rwxr-xr-xnet/im/skype/skype.SlackBuild210
-rw-r--r--net/im/skype/slack-required6
2 files changed, 110 insertions, 106 deletions
diff --git a/net/im/skype/skype.SlackBuild b/net/im/skype/skype.SlackBuild
index 84bb036f..b6e95075 100755
--- a/net/im/skype/skype.SlackBuild
+++ b/net/im/skype/skype.SlackBuild
@@ -1,121 +1,124 @@
#!/bin/bash
#
-# skype.SlackBuild is free software; you can redistribute it and/or modify it under the
-# terms of the GNU General Public License as published by the Free Software
-# Foundation; either version 2 of the License, or any later version.
+# skype.SlackBuild is free software; you can redistribute
+# it and/or modify it under the terms of the GNU General Public License as
+# published by the Free Software Foundation; either version 2 of the License,
+# or any later version.
#
-# skype.SlackBuild is distributed in the hope that it will be useful, but WITHOUT ANY
-# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
-# A PARTICULAR PURPOSE. See the GNU General Public License for more details.
+# skype.SlackBuild is distributed in the hope that it will
+# be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
+# Public License for more details.
#
# You should have received a copy of the GNU General Public License along with
# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
# Place - Suite 330, Boston, MA 02111-1307, USA
#
-# slackbuild for kile, by Rudson R. Alves
-# requires: none
-# tested: skype_staticQT-1.3.0.53
-
-CWD=`pwd`
+# slackbuild for skype, by Rudson R. Alves
+# requires: dbus alsa-lib libsigc++
+# tested: skype-1.4.0.118
+#
-# ---- Inicializa variáveis com o slackbuild ------------
-if [ -e ~/.slackbuildrc ]; then
+# Look for slackbuildrc
+if [ -f ~/.slackbuildrc ]; then
source ~/.slackbuildrc
-elif [ -e /etc/slackbuildrc ]; then
+elif [ -f /etc/slackbuildrc ]; then
source /etc/slackbuildrc
fi
-# -------- Variáveis de controle de versão --------------
-# Nome da fonte para a qual o slackbuild foi construído e
-# o seu md5sum
-SRC_ORIG="skype_staticQT-1.3.0.53-generic.tar.bz2"
-MD5_ORIG="9ca128f45c73cd76862260bc6b9f196c"
-PACKAGE_ORIG=`echo $SRC_ORIG | sed -r 's/(.*)_staticQT-(.*)-.*\.(.*\..*)$/\1/'`
-VERSION_ORIG=`echo $SRC_ORIG | sed -r 's/(.*)_staticQT-(.*)-.*\.(.*\..*)$/\2/'`
- EXTENSION=`echo $SRC_ORIG | sed -r 's/(.*)_staticQT-(.*)-.*\.(.*\..*)$/\3/'`
+# Set variables
+CWD="$(pwd)"
+SRC_NAME="skype_static"
+PKG_NAME="skype"
+ARCH=${ARCH:=i486}
+SRC_VERSION=${VERSION:=1.4.0.118}
+PKG_VERSION="$(echo "$SRC_VERSION" | tr '[[:blank:]-]' '_')"
+BUILD=${BUILD:=1rra}
+SRC_DIR=${SRC_DIR:=$CWD}/$PKG_NAME
+TMP=${TMP:=/tmp}
+PKG=${PKG:=$TMP/package-$PKG_NAME}
+REPOS=${REPOS:=$TMP}
+PREFIX=${PREFIX:=/usr/share}
+PKG_SRC="$TMP/$SRC_NAME-$SRC_VERSION"
+CONF_OPTIONS=${CONF_OPTIONS:=""}
+NUMJOBS=${NUMJOBS:="-j7"}
-# ------- Códigos de erro para o createpkg --------------
+# Set error codes (used by createpkg)
ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
ERROR_MD5=34; ERROR_CONF=35; ERROR_HELP=36
ERROR_TAR=37; ERROR_MKPKG=38; ERROR_GPG=39
-ERROR_PATCH=40; ERROR_VCS=41
+ERROR_PATCH=40; ERROR_VCS=41; ERROR_MKDIR=42
-# --------- Inicializa variáveis de entrada -------------
-PACKAGE=$PACKAGE_ORIG
-ARCH=${ARCH:=i486}
-SRC_DIR=${SRC:=/root=$CWD}
-VERSION=${VERSION:=$VERSION_ORIG}
-SRC=${PACKAGE}_staticQT-$VERSION-generic.$EXTENSION
-BUILD=${BUILD:=1rud}
-TMP=${TMP:=/tmp}
-REPOS=${REPOS:=$TMP}
-PREFIX=${PREFIX:=/opt/kde}
-OPTCONF=${OPTCONF:=""}
-MD5=${MD5:=$MD5_ORIG}
-URL=${URL:="http://www.skype.com/go/getskype-linux-static"}
-
-# ---------------- Download fontes ----------------------
-# Fonte a ser compilada, com o path
-SOURCE=$SRC_DIR/$PACKAGE/$SRC
-# Verifica existência do pacote em $SRC em $SRC_DIR
-if [ ! -e $SOURCE ]; then
- wget "$URL" -P "$SRC_DIR/$PACKAGE/" || exit $ERROR_WGET
-fi
+# Clean up any leftovers of previous builds
+rm -rf "$PKG_SRC" 2> /dev/null
+rm -rf "$PKG" 2> /dev/null
-# ------------------ Checa md5sum -----------------------
-if [ "$SRC_ORIG" = "$SRC" -o "$MD5" != "$MD5_ORIG" -a "$MD5" != "no" ]; then
- SUM=`md5sum $SOURCE | awk '{print $1}'`
- [ "$SUM" != "$MD5" ] && exit $ERROR_MD5
+# Create directories if necessary
+mkdir -p "$SRC_DIR" || exit $ERROR_MKDIR
+mkdir -p "$PKG" || exit $ERROR_MKDIR
+mkdir -p "$REPOS" || exit $ERROR_MKDIR
+
+# Dowload source if necessary
+SRC="$SRC_NAME-$VERSION.tar.bz2"
+URL="http://www.skype.com/go/getskype-linux-static/$SRC"
+
+if [ ! -s "$SRC_DIR/$SRC" ] || ! bunzip2 -t "$SRC_DIR/$SRC" 2> /dev/null; then
+ wget "$URL" -O "$SRC_DIR/$SRC" || exit $ERROR_WGET
fi
-# -------------- Desempacota fontes ---------------------
-# Desempacota fontes em PKG_SRC=$TMP/$PACKAGE-source
-PKG=$TMP/$PACKAGE
-rm -rf $PKG 2>/dev/null
-mkdir -p $PKG/opt
-# Desempacota $SOURCE em $TMP/$PACKAGE-source
-tar xvf $SOURCE -C $PKG/opt || exit $ERROR_TAR
-
-mkdir -p $PKG/usr/share/applications/
-cd $PKG/opt/
-SKYPE_NAME=$( ls )
-SKYPE_DIR=$PKG/opt/$SKYPE_NAME
-
-# Cria entrada em menu
-cp $SKYPE_DIR/skype.desktop $PKG/usr/share/applications/
-
-# Cria link para aplicativo
-(
- mkdir -p $PKG/usr/bin
- cd $PKG/usr/bin
- ln -s ../../opt/$SKYPE_NAME/skype skype
-)
-
-# Copiar icones
-mkdir -p $PKG/opt/kde/share/icons/hicolor/16x16/apps
-mkdir -p $PKG/opt/kde/share/icons/hicolor/32x32/apps
-mkdir -p $PKG/opt/kde/share/icons/hicolor/48x48/apps
-cp $SKYPE_DIR/icons/skype_16_32.png $PKG/opt/kde/share/icons/hicolor/16x16/apps/skype.png
-cp $SKYPE_DIR/icons/skype_32_32.png $PKG/opt/kde/share/icons/hicolor/32x32/apps/skype.png
-cp $SKYPE_DIR/icons/skype_48_32.png $PKG/opt/kde/share/icons/hicolor/48x48/apps/skype.png
-
-# ----------------- Stripa código -----------------------
-cd $PKG
-find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-
-# ---------------- Cria slack-desc ----------------------
-mkdir $PKG/install
-cat << EOF > install/slack-desc
+
+# Untar
+cd "$TMP"
+tar --no-same-owner --no-same-permissions -xvf "$SRC_DIR/$SRC" || exit $ERROR_TAR
+cd "$PKG_SRC"
+
+
+# Install Skype
+mkdir -pv $PKG/$PREFIX/$PKG_NAME-$VERSION
+mkdir -pv $PKG/usr/bin
+mkdir -pv $PKG/usr/share/icons/hicolor/16x16/apps
+mkdir -pv $PKG/usr/share/icons/hicolor/32x32/apps
+mkdir -pv $PKG/usr/share/icons/hicolor/48x48/apps
+mkdir -pv $PKG/usr/share/applications
+
+# move files
+cp -av $PKG_SRC/* $PKG/$PREFIX/$PKG_NAME-$VERSION
+
+# change to skype dir
+cd $PKG/$PREFIX/$PKG_NAME-$VERSION
+
+# copy links
+cp icons/SkypeBlue_16x16.png ../../share/icons/hicolor/16x16/apps/skype.png
+cp icons/SkypeBlue_32x32.png ../../share/icons/hicolor/32x32/apps/skype.png
+cp icons/SkypeBlue_48x48.png ../../share/icons/hicolor/48x48/apps/skype.png
+
+# make links
+cd ../../bin/
+ln -s ../share/$PKG_NAME-$VERSION/skype skype
+cd -
+cd ../applications
+cp ../$PKG_NAME-$VERSION/skype.desktop skype.desktop
+
+cd $PKG_SRC
+
+
+# Install documentation
+DOCS="README LICENSE"
+mkdir -p "$PKG/usr/doc/$PKG_NAME-$PKG_VERSION" || exit $ERROR_MKDIR
+cp -a $DOCS "$PKG/usr/doc/$PKG_NAME-$PKG_VERSION"
+
+# Add package description (slack-desc)
+mkdir -p "$PKG/install" || exit $ERROR_MKDIR
+cat << EODESC > "$PKG/install/slack-desc"
# HOW TO EDIT THIS FILE:
# The "handy ruler" below makes it easier to edit a package description. Line
-# up the first '|' above the ':' following the base package name, and the '|' on
-# the right side marks the last column you can put a character in. You must make
-# exactly 11 lines for the formatting to be correct. It's also customary to
-# leave one space after the ':'.
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
- |--------handy-ruler------------------------------------------------------|
-skype: Skype 1.3.0.53
+ |-----handy-ruler--------------------------------------------------------|
+skype: Skype $VERSION, by Slack.Sarava
skype:
skype: Skype is a little piece of software that lets you talk over the
skype: Internet to anyone, anywhere in the world for free.
@@ -125,18 +128,13 @@ skype:
skype:
skype:
skype:
-EOF
-
-# ----------------- Documentações -----------------------
-# Criar diretório de documentação
-PKG_DOC=$PKG/usr/doc/$PACKAGE-$VERSION
-mkdir -p $PKG_DOC
-cp $SKYPE_DIR/{LICENSE,README} $PKG_DOC
+EODESC
-# --------------- Constroi o pacote ---------------------
-makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz || exit $ERROR_MKPKG
+# Build the package
+cd "$PKG"
+makepkg -l y -c n "$REPOS/$PKG_NAME-$PKG_VERSION-$ARCH-$BUILD.tgz" || exit $ERROR_MKPKG
-# ----------- Remove arquivos temporários ---------------
-if [ "$CLEANUP" = "yes" ]; then
- rm -rf $PKG $PKG_SRC
+# Delete source and build directories if requested
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf "$PKG_SRC" "$PKG"
fi
diff --git a/net/im/skype/slack-required b/net/im/skype/slack-required
new file mode 100644
index 00000000..409659b5
--- /dev/null
+++ b/net/im/skype/slack-required
@@ -0,0 +1,6 @@
+# Dependency list to skype_static
+#
+# dependency [condition] [version]]
+dbus >= 1.0
+alsa-lib >= 2.0
+libsigc++ >= 2.0